/*----------------------------------------------------------------------------
* Tento programovy produkt je viazany na demonstracny modul ARM
* ----------------------------------------------------------------------------
* Nazov       : Board.h
* Datum       : 13.3.2009
*/

#ifndef Board_h
#define Board_h

#include "AT91SAM7S64.h"

// Definicia logickych hodnot
#define true	-1
#define false	 0

/*-------------------------------*/
/* Definicia pamati procesora    */
/*-------------------------------*/
// AT91SAM7S64 obsahuje 16-Kbyte SRAM, a 64 K-Byte Flash

#define  INT_SRAM           0x00200000	// adresa RAM bez remapovania
#define  INT_SRAM_REMAP	    0x00000000	// adresa RAM po remapovani

#define  INT_FLASH          0x00000000	// adresa FLASH bez remapovania
#define  INT_FLASH_REMAP    0x00100000	// adresa FLASH po remapovani

#define  FLASH_PAGE_NB		512	// pocet stranok v pamati FLASH
#define  FLASH_PAGE_SIZE	128	// velkost jednej stranky vo FLASH

/*-------------------------------------*/
/* Definicia vstupno-vystupnych pinov  */
/*-------------------------------------*/
// Zakldana doska
#define D1              (1<<29)	        // PA29 - LED
#define S2              (1<<28)         // PA28 - tlacidlo
#define USBEN           (1<<26)         // PA26 - povolenie USB
#define USBPWR          (1<<27)         // PA27 - detekcia USB napajania
#define MISO            (1<<12)         // PA12 - SPI rozhranie
#define MOSI            (1<<13)         // PA13 - SPI rozhranie
#define SPCK            (1<<14)         // PA14 - SPI rozhranie
#define NPCS0           (1<<11)         // PA11 - SPI rozhranie
#define PO1             (1<<17)         // PA17 - vystup z potenciometra pripojeny na AD0

/*------------------------------------*/
/* Casovanie procesora - Master Clock */
/*------------------------------------*/
#define EXT_OC          18432000        // Frekvencia oscilatora (MAINCK)
#define MCK             47923200        // MCK (PLLRC div by 2)

#endif /* Board_h */
